Bug 656835 - Memory leak in virtio-console driver if driver probe routine fails
Summary: Memory leak in virtio-console driver if driver probe routine fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Amit Shah
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 580953 656836
TreeView+ depends on / blocked
 
Reported: 2010-11-24 09:33 UTC by Amit Shah
Modified: 2013-01-09 23:22 UTC (History)
5 users (show)

Fixed In Version: kernel-2.6.32-91.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 656836 (view as bug list)
Environment:
Last Closed: 2011-05-23 20:29:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Amit Shah 2010-11-24 09:33:30 UTC
Description of problem:
Jiri Slaby used stanse to find a memory leak in a failure case:

Stanse found that in init_vqs, memory is leaked under certain
circumstanses (the fail path order is incorrect). Fix that by checking
allocations in one turn and free all of them at once if some fails
(some may be NULL, but this is OK).

Comment 1 Amit Shah 2010-11-24 09:38:20 UTC
Testing notes:  not easily testable.  Was found by a static code checker and confirmed by code reading.  Unlikely to happen in practice as it can happen only in very low memory conditions.

Comment 3 RHEL Program Management 2010-11-28 08:10:19 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 4 Aristeu Rozanski 2010-12-15 16:06:59 UTC
Patch(es) available on kernel-2.6.32-91.el6

Comment 9 juzhang 2011-01-18 01:58:53 UTC
According to comment6 and comment7,set this issue status as verified.

Comment 10 errata-xmlrpc 2011-05-23 20:29:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.